Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQIODeviceSource Class Reference
[obsolete]

The TQIODeviceSource class is a TQDataSource that draws data from a TQIODevice. More...

`#include <ntqasyncio.h>`

Inherits TQDataSource.

List of all member functions.

## Public Members

- TQIODeviceSource ( TQIODevice * device, int buffer_size = 4096 )
- ~TQIODeviceSource ()
- virtual int readyToSend ()
- virtual void sendTo ( TQDataSink * sink, int n )
- virtual bool rewindable () const
- virtual void enableRewind ( bool on )
- virtual void rewind ()

## Detailed Description

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

The TQIODeviceSource class is a TQDataSource that draws data from a TQIODevice.

This class encapsulates retrieving data from a TQIODevice (such as a TQFile).

## Member Function Documentation

### TQIODeviceSource::TQIODeviceSource ( TQIODevice * device, int buffer_size = 4096 )

Constructs a TQIODeviceSource from the TQIODevice device. The TQIODevice must be dynamically allocated, becomes owned by the TQIODeviceSource, and will be deleted when the TQIODeviceSource is destroyed. buffer_size determines the size of buffering to use between asynchronous operations. The higher the buffer_size, the more efficient, but the less interleaved the operation will be with other processing.

### TQIODeviceSource::~TQIODeviceSource ()

Destroys the TQIODeviceSource, deleting the TQIODevice from which it was constructed.

### void TQIODeviceSource::enableRewind ( bool on )`[virtual]`

If on is set to TRUE then rewinding is enabled. No special action is taken. If on is set to FALSE then rewinding is disabled.

Reimplemented from TQDataSource.

### int TQIODeviceSource::readyToSend ()`[virtual]`

Ready until end-of-file.

Reimplemented from TQDataSource.

### void TQIODeviceSource::rewind ()`[virtual]`

Calls reset() on the TQIODevice.

Reimplemented from TQDataSource.

### bool TQIODeviceSource::rewindable () const`[virtual]`

All TQIODeviceSource's are rewindable.

Reimplemented from TQDataSource.

### void TQIODeviceSource::sendTo ( TQDataSink * sink, int n )`[virtual]`

Reads a block of data and sends up to n bytes to the sink.

Reimplemented from TQDataSource.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.